#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		shortname	%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	xorg-xtrans
Version		:	1.5.0
Release		:	17.2.0.rel%{?dist}
Summary		:	X.Org X11 developmental X transport library
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://www.x.org/pub/individual/lib/

Source0		:	%{shortname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	fontconfig-devel

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
X.Org X11 developmental X transport library

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING README.md
%{_includedir}/X11/Xtrans/*.{c,h}
%{_libdir}/pkgconfig/%{shortname}.pc
%{_datadir}/aclocal/%{shortname}.m4
%{_defaultdocdir}/%{name}-%{version}/*.xml

#=============================================================================
%prep
%setup -q -n %{shortname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
	$XORG_CONFIG					\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	INSTALL="install -p"				\
	DESTDIR=%{buildroot}				\
	install
%{__mkdir_p} %{buildroot}%{_libdir}
%{__mv} %{buildroot}%{_datadir}/pkgconfig 		\
	%{buildroot}%{_libdir}
	
#-----------------------------------------------------------------------------
%changelog
